---
title: "Delete Channel"
slug: "delete-channel"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Channel

Post/api/v1/channels.delete

Delete a channel. Any of the permssions are required:

- `delete-c`: Delete a public channel.
- `delete-team-channel`: Delete a channel part of a team. You also need the `delete-c` permission.

### Changelog

| Version | Description |
| --- | --- |
| 0.71.0 | Removed `channel` property |
| 0.49.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='f4100daf-f2a8-42e7-8b8f-759aca6d4786'>application/json</option>
</select>object  roomIdstring    

Enter the room ID. This parameter is required if no `roomName` is provided.

ExampleByehQjC44FwMeiLbX
roomNamestring    

Enter the room name. This parameter is required if no `roomId` is provided.

Examplegeneral

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='bb9c7e92-d5c4-4085-bc01-f859f9e98bd6'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='382539d8-efe1-4ac3-a70e-9109c3c06625'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='7d0b7a2c-39cd-46f0-b7a5-403b7190e2ab'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6697dda2-eab6-4949-978d-2ab24680e6b6'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
